# Uses of Interface
org.jmol.awtjs.swing.HTMLElement

Packages that use HTMLElement
Package
Description
org.jmol.awtjs.swing

## Uses of HTMLElement in org.jmol.awtjs.swing

Methods in org.jmol.awtjs.swing with parameters of type HTMLElement
Modifier and Type
Method
Description
`void`
SwingController.`click(HTMLElement element, HTMLWindowEvent event)`
Fired from clicking an element such as a button or check box or table entry, or from entering text in a text box.
`void`
SwingController.`windowClosing(HTMLElement element)`
Called by clicking the [x] in the corner of the dialog; send a notification back to the manager via processWindowClosing(key) var id = $("div.JDialog:has(#" + element.id + ")")[0].id var dialog = Jmol.Swing.htDialogs[id]; dialog.manager.processWindowClosing(dialog.registryKey);